HOTSHOT2CALLTREE(1)

NAME
hotshot2calltree - convert hotshot profiling data to KCachegrind calltree format

SYNOPSIS
hotshot2calltree [ --file-limit limit ] -o output input [ input ... ]

DESCRIPTION
hotshot2calltree reads one or more pstat profiling data files as output by the hotshot python profiler, and converts them into calltree format for use by KCachegrind.

This utility is part of the KDE Software Development Kit.

OPTIONS

-o output
    Write the calltree output into the given file for use by KCachegrind. This may be - if you wish to write to standard output.

input ...
    Read the hotshot profiling data from the given file(s).

--file-limit limit
    Stop after the given number of input files.

EXAMPLE
Suppose that you have used hotshot to profile a python app, with results dumped to the file pythongrind.prof. You may then work with this data in KCachegrind as follows.

    hotshot2cachegrind -o cachegrind.out.0 pythongrind.prof
    kcachegrind cachegrind.out.0

SEE ALSO
kcachegrind(1).

AUTHOR
This converter was written by Jorg Beyer <job@webde-ag.de>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).